/*!
Theme Name: Halalex Theme
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
.site-top-header-wrap { background: #eee; }

.entry-hero.page-hero-section .entry-header {
    margin-top: 20px;
}

.rcp_form .rcp_user_fieldset input:not([type=checkbox]):not([type=submit]) {
    max-width: 90% !important;
}

legend {
    font-size: 24px;
}

.transparent-header #masthead {
    position: relative !important;
}

.wp-site-blocks .rcp_form p {
    display: inline-block;
    width: 49%;
    max-width: 100%;
    min-width: 400px;
}

.page-id-6 .rcp_login_link {
    display: none;
}

.site-branding a img {
    max-width: 140px !important;
    margin: 10px 0;
}

.site-footer {
    margin-top: 15px;
}

.site-header .pll-parent-menu-item a span,
.site-header .pll-parent-menu-item .sub-menu li a,
.footer-navigation .pll-parent-menu-item a {
    display: flex !important;
    align-items: center;
}

.site-header .pll-parent-menu-item a span img,
.site-header .pll-parent-menu-item .sub-menu li a img,
.footer-navigation .pll-parent-menu-item a img {
    max-width: 32px; /* Adjust size as needed */
    margin-right: 0.3em;
}

/* Optional: Adjust spacing and alignment */
.site-header .pll-parent-menu-item a span span,
.site-header .pll-parent-menu-item .sub-menu li a span,
.footer-navigation .pll-parent-menu-item a span {
    margin-left: 0.3em; /* Adjust as needed */
}


#product-search-form {
    max-width: 100%;
    width: 800px;
    min-width: 380px;
    margin: auto;
}
#product-search-form .search-options {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 20px 0;
}

#product-search-form .search-options label {

}

.expired-badge {
    display: inline-block;
    padding: 2px 4px;
    color: #fff;
    background-color: #e74c3c;
    border-radius: 4px;
}

/* Apply styles to the table */
.balance-table {
    width: 100%; /* Ensure table spans full width of container */
    table-layout: fixed; /* Fix the table layout to evenly distribute widths */
    border-collapse: collapse; /* Ensure borders collapse properly */
}

/* Apply styles to table cells */
.balance-table td {
    text-align: center; /* Center-align text within cells */
    padding: 8px; /* Adjust padding as needed */
    border: 1px solid #ddd; /* Add borders for clarity */
}

/* Example of balancing width evenly */
.balance-table td {
    width: calc(100% / 5); /* For a 5-column table, each column takes 20% width */
}

.lang-item img {
    height: 22px !important;
    width: 32px !important;
}

.header-navigation #primary-menu.menu > li:last-child > a {
    border-radius: 3px;
    background: #18a43d;
    color: #ffffff !important;
    padding: 0.4em 1em;
    font-size: 1.125rem;
    line-height: 1.6;
    display: inline-block;
    font-family: inherit;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.2s ease;
    border: 2px none transparent;
    box-shadow: 0px 0px 0px -7px rgba(0, 0, 0, 0);
}
.header-navigation #primary-menu.menu > li:last-child > a:hover {
    box-shadow: 0px 15px 25px -7px rgba(0,0,0,0.1);
    background: #5edd82;
    color: #ffffff !important;
}

div#reader {
    margin: auto;
    /*display: none;*/
}

.mobile-navigation ul li a, .pll-parent-menu-item a {
    display: flex;
    align-items: center;
}

.pll-parent-menu-item .drawer-nav-drop-wrap img {
    height: 22px !important;
    width: 32px !important;
}

@media only screen and (min-width: 1025px) {
    .site-header-wrap {
        position: fixed;
        width: 100%;
        background: #fff;
        box-shadow: 0px 1px 5px #ccc;
    }

    #inner-wrap {
        margin-top: 190px;
    }
}

@media only screen and (min-width: 769px) {
    .hide-on-desktop {
        display: none;
    }

    .hide-on-mobile {
        display: block;
    }
}

@media only screen and (max-width: 768px) {
    #product-search-form .search-options {
        justify-content: flex-start;
        align-items: flex-start;
        flex-direction: column;
        margin: 20px 0;
    }

    .footer-navigation .menu {
        flex-direction: column;
    }

    #product-search-form .search-options label {
        margin: 20px 0;
    }

    .hide-on-desktop {
        display: block;
    }

    .hide-on-desktop td {
        text-align: left;
    }

    .hide-on-mobile {
        display: none;
    }

    .content-area.certification .site-main{
        display: flex;
        flex-direction: column-reverse;
    }
}
